Bug 1262984 - [RFE] Remove old CA file
[RFE] Remove old CA file
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Nick Carboni
Thom Carlin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 15:48 EDT by Thom Carlin
Modified: 2015-12-08 08:30 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.5
Doc Type: Enhancement
Doc Text:
The new version of CloudForms Management Engine no longer ships with the outdated /var/www/miq/vmdb/certs/ca.cer certificate authority file. This file is no longer in use. Additionally, all references to the file in documentation have been removed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:30:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Thom Carlin 2015-09-14 15:48:39 EDT
Description of enhancement:

CloudForms appliance ships with expired CA public key.  Please remove /var/www/miq/vmdb/certs/ca.cer and all references to this file.

Version-Release number of selected component (if applicable):

5.4.2

Additional info:

May need to remove server.cer, server.cer.key, and crl.crt also.  This should be replaced by information in the Application Hardening docs.
Comment 4 Nick Carboni 2015-09-18 15:09:02 EDT
https://github.com/ManageIQ/manageiq/pull/4432
Comment 5 CFME Bot 2015-10-02 12:19:16 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3b560b833612939431fd1bfccf1b6cca25298787

commit 3b560b833612939431fd1bfccf1b6cca25298787
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Sep 18 11:04:44 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Sep 18 11:04:44 2015 -0400

    Removed certs/ca.cer file
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1262984

 certs/ca.cer | 17 -----------------
 1 file changed, 17 deletions(-)
 delete mode 100644 certs/ca.cer
Comment 6 Thom Carlin 2015-10-27 13:32:21 EDT
Verified file removed in 5.5.0.7-beta1.3
Comment 10 Thom Carlin 2015-11-04 09:32:31 EST
Verified in latest doc spin
Comment 12 errata-xmlrpc 2015-12-08 08:30:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.